
module BankingSystem
{
    interface   AccountHolder
    {
        string  getName();
        string  getAddress();
    };

    interface   Bank
    {
        string  createAccount( in string userId, in double amount );
        AccountHolder   getAccountDetails( in string userId, in string pwd );
    };

};


void    fooBar();